org.eclipse.rdf4j.query.algebra.evaluation.function.triple

## Class TripleObjectFunction

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.function.triple.TripleObjectFunction

- All Implemented Interfaces:
    Function

      public class TripleObjectFunction
      extends Object
      implements Function

  Function returning the object component of RDF-star Triple reused the IRI of rdf:object as name
  Author:
    damyan.ognyanov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TripleObjectFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Value` | `evaluate(ValueFactory vf, Value... args)` Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `String` | `getURI()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate`

- - ### Constructor Detail

    - #### TripleObjectFunction

          public TripleObjectFunction()

  - ### Method Detail

    - #### getURI

          public String getURI()

      Specified by:
        `getURI` in interface `Function`

    - #### evaluate

          public Value evaluate(ValueFactory vf,
                                Value... args)
                         throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `vf` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.